import { _decorator, Component, Node, RigidBodyComponent, PhysicsSystem } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('linkBody')
export class linkBody extends Component {
    /* class member could be defined like this */
    // dummy = '';

    /* use `property` decorator if your want the member to be serializable */
    // @property
    // serializableDummy = 0;
    @property({type:RigidBodyComponent,tooltip:"连接主点"})
    private linkBodyMain: RigidBodyComponent = null;

    @property({type:RigidBodyComponent,tooltip:"连接副点"})
    private linkBody: RigidBodyComponent = null;

    start () {
        // Your initialization goes here.
        // this.linkBodyMain.body
        // this.linkBody.body
        let world = PhysicsSystem.instance.physicsWorld
        // Cannon
        // let size = 2;
        var c = new CANNON.PointToPointConstraint(this.linkBodyMain.body,this.linkBodyMain.node.position,this.linkBody.body,this.linkBodyMain.node.position);
        world._world.addConstraint(c);
    }

    // update (deltaTime: number) {
    //     // Your update function goes here.
    // }
}
